Summary

Fix Any Color

Fix Any Color is a powerful, yet easy-to-use software application that lets you fix/enhance colors in digital images. Fix Any Color can improve just about any digital image.

Key Features

  • Selective color adjustment - Lets you adjust precisely the colors that you want while leaving other colors untouched
  • Easy to use - You simply click on the color that you want to fix, tell Fix Any Color how you want the color changed, then see a before/after comparison of your image
  • L*C*h* color- All editing is done in L*C*h* color space, making changes more intuitive and results better tuned to the human visual system

Getting Started

This help guide teaches you how to use Fix Any Color to get the most from your digital images. Sections include:

  • Color Basics - This is a very simple explanation of how colors are defined in digital images, as well as a description of the color system that Fix Any Color uses. Understanding this will allow you to get the most out of Fix Any Color.
  • Fix Any Color User Interface and Controls - These pages give you a tour of the user interface, as well as color selection and adjustment controls of Fix Any Color.
  • Using Fix Any Color - This is a step by step guide showing you how to improve your images with Fix Any Color.

Further Information

Fix Any Color is produced by SRS1 Software, LLC. For more information about Fix Any Color, visit http://www.FixAnyColor.com or email us at support@srs1software.com.

This program is free to try. You can purchase the program online at http://www.FixAnyColor.com.

We hope you enjoy using Fix Any Color. Thank you for your support!


Requirements

Product Requirements

Fix Any Color Requirements

  • .NET Framework 2.0 or higher (see more information below here)
  • 20 MB hard drive space
  • Minimum 800x600 screen resolutioneen resolution

.NET Framework / Windows

Fix Any Color is runs on Microsoft Windows operating system and uses the Microsoft .NET Framework. The .NET Framework is a set of operating system components that Microsoft includes on their later operating systems. Most computers already have these files installed. If your computer doens't have these files then you will be notified during the install of Fix Any Color and will be given the option to download these files from the Microsoft website.


Color Basics

Some basic background knowledge about digital image color will help you get the most out of Fix Any Color. This section provides a very basic description of how computers record and describe color. The L*C*h* color system that Fix Any Color uses is also introduced.

Digital Images

Computers record digital images as a series of "Picture Elements" or dots. These dots are referred to as "pixels". In general, the more pixels in an image, the more detail is stored in an image.

RGB Color System

Computers most commonly use the RGB color system to describe the color of each of the pixels in an image. With the RGB color system, colors are described by three numbers. There is a red, a green and a blue color number. Typically each is an integer on a scale from 0 - 255. All possible colors in an image are made up from combinations of these three colors.

Some characteristics of the RGB color system include:

  • If red, green and blue (R,G, and B) all are equal to zero, then the color is black
  • If R,G,B = 255 each then the resulting color is white.
  • If R,G,B are equal (e.g. R=150, G=150, b=150) then the color is a neutral gray, where the higher the number, the lighter the shade of gray.

Here are some samples of RGB color combinations:

Red=255 Green=0 Blue=0 | Red=40 Green=120 Blue=40 | Red=180 Green=200 Blue=230
All red, no green or blue, resulting in a deep red color | Green contribution is higher than Red or Blue, so it has a greenish hue. Also, the numbers are fairly low, so the color is a bit dark. | The blue value is highest, causing a blue hue, but the R,G,B values are fairly close, and so the blue color is not very strong. The R,G,B numbers are also high, making a lighter color (remember, 255 for RGB makes white, 0 makes black)

One other important point about the RGB color system is that it is device dependent. This means that when you look at an RGB color, the color can vary depending on the device (brand of monitor, printer and/or camera) that you are using.

L*C*h* Color System

The L*C*h* (otherwise known as CIE L*C*h*) was derived from the CIE L*a*b* color system that was adopted by the Commission Internationale de lEclairage in 1976. It is a device independent color space.

L*C*h* uses three numbers to describe each color:

  • Lightness ("L*") - This is the lightness of the color. It is on a scale from 0-100 where 0 is black and 100 is white.
  • Chroma/"Color Saturation" ("C*") - This number describes the color saturation of the color. If C* = 0, then the color is gray (no color saturation). The higher the number the more saturated the colors. Think of color saturation as being like the "color" knob that used to be on old color TV's. Turning it too low makes your TV picture look like a B&W picture. Too high makes the TV picture look like a cartoon. C* values can range up to 150 or higher. C* values can not be negative.
  • Color hue angle ("h*" or "hº") - This is the hue angle. Imagine a circle with all possible color hues, such that red=0º, yellow=90º, green=180º, blue=270º. The h* hue angle describes any possible hue by its angle on this hue wheel. For example, a hue at 225º would be a blue-green because it is between blue (at 270º) and green (at 180º).

The color wheel figure below here shows how C* (Chroma/Color saturation) and h* (hue angle) relate to each other are used to describe color. The center of the color wheel, where C*= 0, is neutral gray. The Chroma (C*) value describes how saturated, and hence how far away from the center of the color wheel, the particular color that is being described is. The h* angle just describes the hue (e.g. red, green, etc.)

Some of the benefits of using L*C*h* include:

  • Matches Human Eye - This calculated from CIE L*a*b* color space, which is a "perceptually linear" color space. For example, the lightness difference, as perceived by the average person, between an L*=10 color and an L*=20 color is the same as the lightness difference between an L*=70 and an L*=80 lightness.
  • More Intuitive - It is more intuitive to think of colors in terms of Lightness, color saturation, and hue.

Here are some examples of how L*, C*, and h* shifts effect real images:

L* (Lightness) Shift Example

-25 L* | Original | +25 L*

C* (Chroma/Color Saturation) Shift Example

-20 C* | Original | +20 C*

h* (hue angle) Shift Example

-20º hue angle (h*) | Original | +20º hue angle (h*)

Color system used by Fix Any Color

Fix Any Color does all image editing in L*C*h* color space. This is provides more intuitive image editing and produces superior results. Digital images are converted from their native RGB format to L*C*h* via the sRGB industry standard. Images are always converted back to standard RGB format when they are saved.


Fix Any Color Interface

Fix Any Color User Interface

See the following pages for a quick tour of the Fix Any Color main interface and color controls:

  • Main Interface - the main Fix Any Color window
  • Color Range Selection controls - to select the colors that you want to fix
  • Color Shift controls - to define how to fix the color that you've selected

After learning about the Fix Any Color controls and interface, then you can find out more about using Fix Any Color from the step-by-step instructions pages.


Fix Any Color Main Window

The following is a brief overview of the Fix Any Color main window, along with a short description of each feature:

Feature Descriptions

(1) Browse To Image Button - Click on this button to browse to an image and open it in Fix Any Color. Another way to open an image is by dragging the image file from Windows and dropping it anywhere on the Fix Any Color main form.

(2) Before Color Fix Window - This window displays your image before the current color fix is applied. When you first open an image, the caption on this window will be "Original Image". After you have applied at least one color fix to your image, the caption will change to "Before Next Color Fix".

(3) Mask Button - This button opens the Mask dialog box, where you can apply a "mask" over any parts of your image that you want omit from your color fix. These "masked" parts of your image are left untouched by the color fix, even if their colors fall into the selected color range. Masked sections of your image are displayed in red in the (5) Selected Colors window. For more information on using the Mask feature, see the Fine tune color range / setup mask page.

(4) Update Preview Button, Auto Update Checkbox - These two controls define how and when the images in the (5) Selected Colors Window and (6) After Color Fix Window are updated. When the Auto Update Checkbox is checked ON, then the images are constantly, and automatically updated whenever any changes are made to the (13) Color Range Selection Controls or to the (8) Color Shift Controls. When the Auto Update Checkbox is checked OFF then the images are updated only when you click the Update Preview button.

(5) Selected Colors Window - This window shows which parts of your image fall within the color ranges defined by the (13) Color Range Selection controls. These are the parts of your image whose color will be changed by your color fix. These areas are displayed as white. The parts of your image that only partially fall within your selected color range are displayed as gray. The parts of your image that fall outside of the selected color range are displayed as black and will not be affected by your color fix. Masked areas of your image are shown in red and are not adjusted by your color fixed.

(6) After Color Fix Window - This window shows how your image would look after the current color fix has been applied. The color fix is defined by two sets of parameters. First, by what parts of your image will be adjusted. This is determined by the color ranges selected via the (13) Color Range Selection controls and image areas highlighted in the (5) Selected Colors Window. The second aspect of the Color Fix is what color adjustment will be applied to these areas. This is defined by the color shifts (lightness, color saturation, and hue) selected via the (8) Color Shift Controls.

(7) Large Preview Button - Click on this button to see a large preview of your image. This view also allows you to quickly switch between seeing your original image, your image before your current color fix and your image after your current color fix. This is an excellent tool for evaluating the effects of your color fixes.

(8) Color Shift Controls - These three controls define the color shift that will be applied by your color fix. There are three controls:

  • Lightness (L*) - Increases or reduces the lightness of the selected colors
  • Color Saturation (C*) - Increases or decreases the color saturation of the selected colors
  • Hue Angle (h*) - Changes the hue of the selected colors

For more information on the meaning of these color terms, see our Color Basics page. See the Color Shift Controls help page for more detailed information about these controls.

(9) Apply, Undo Color Fix Buttons - The Apply Color Fix Button will apply the currently defined color fix to your image. A progress bar is displayed and a message will flash across the screen when the fix is completed. After the fix has been applied, the Before Color Fix and After Color Fix windows will be updated The image that previously was in the After Color Fix Window will then be seen the Before Color Fix window, and is the starting point for the next color fix.

You can undo your last color fix any time by clicking on the Undo Color Fix button.

(10) Application Close Button - This button closes the Fix Any Color application.

(11) Save Image Button - Clicking on this button applies the current color fix and then saves the image. You do not have to click on the (9) Apply Color Fix Button before saving your image. If you do not want the current color fix to be applied before saving your image, then you can either set all three (8) Color Shift controls to zero, or click on the (9) Undo Color Fix Button and then click the save button.

(12) Color Range Before/After Color Fix - These two windows display a sampling of the selected color range before and after the currently defined color shift has been applied. The "Before Color Fix" window is useful for seeing the range of colors that are currently selected by the (13) Color Range Selection Controls. Comparing these to the colors in the "After Color Fix" window helps demonstrate the shift defined by the (8) Color Shift Controls.

(13) Color Range Selection Controls - These three controls are very critical. They let you define the range of colors that you want to fix. All colors in your image that fall within this color range are highlighted in the (5) Selected Colors Window. A sampling of the selected color range is shown in the (12) Before Color Fix Window. The color range is defined in three parts. These include L* (lightness), C* (color saturation) and h* (hue angle). See the Color Basics page for more information about what these terms mean. On each of the Color Range controls, the selected ranges are highlighted in green. You can drag the edges of these highlighted ranges or directly adjust the range numbers listed below them. The ranges are defined by the min and max values for each color component. "Edge" values, which define the size of the transition from selected to non-selected colors, are also shown and can be adjusted. For more details, see the Color Range Selection Controls help page.


Color Range Selection Controls

The way that Fix Any Color works is fairly straightforward. You pick a color range that you want to adjust (e.g. "dark saturated red colors"), and then you define how you want to adjust those colors (e.g. "lighter and more color saturation"). You repeat this process for as many sets of color that you want to fix in an image.

Understanding how Fix Any Color lets you define and modify these color ranges will help you get the most out of Fix Any Color. Below here is a description of how Fix Any Color defines color ranges, as well as a description the controls that are provided by Fix Any Color to select color ranges.

Definition of Color Ranges by Fix Any Color

The Color Range that you select with Fix Any Color represents the range of colors in your image that you want to adjust. You define this color range by its three components: L* (lightness), C* (Chroma, or Color Saturation) and h* (hue angle). You define an acceptance range for each of these components. Colors that fall into all three of the L*, C* and h* acceptance ranges will be included in the color range.

For example, consider the following Color Range:

  • (L* Lightness) min=20, max=50 (i.e. include only darker colors)
  • (C* Color Saturation) min=30, max=150 (i.e. include only saturated colors)
  • (h* hue angle) angle=30° +/- 15° (i.e. include only red hues)

This example represents a range of primarily dark, deep red colors. ALL color component acceptance ranges must be met for a color to be included in the color range. For example:

  • A dark, saturated, red color would be included
  • A lighter saturated red color would NOT be included (does not meet L* range)
  • A dark, pastel red color would NOT be included (does not meet C* range)
  • A dark, saturated blue color would NOT be included (does not meet h* range)

Initially this may seem a little bit confusing, but the Color Range Selection controls that Fix Any Color provides makes this easier to understand. Below is an explanation of these Color Selection controls.

Color Range Selection Controls

In Fix Any Color, Color Ranges are defined by the Color Range Selection controls. There are three of these controls. There is one for selecting the L* (lightness) range, one for selecting the C* (color saturation) range and one for selecting the h* (hue angle) range:

Each of the three controls work in a similar manner:

  • Background - The background of each of the controls is a representation the color range that is being defined. For example, the L* control background shows a gradient from L*=0 (black) to L*=100 (white).
  • Highlighted Range - A rectangular green highlighted area represents the selected area of the color range. The adjacent triangular shaped represent the transition area from the part of the color range that is selected to the part of the range that is not selected. A larger transition range makes a smoother transition from areas in your image that are selected to areas that aren't selected. A smaller transition area will make a sharper transition.
  • Color Range Values- The actual values that define each color range component are shown below each color range graphical display.

There are two ways to manually modify a color range. The easiest way is to click down over and drag the highlighted range (green highlighted rectangle). Using this method you can drag the left edge of the selected range (to move the min value), the right edge of the rectangle highlight range (to move the max value) or drag anywhere in the middle of the range to shift both values.

The second way to manually adjust the color ranges is by clicking the up/down arrow buttons next to the color range number values.

Automatic Color Range Selection

Fix Any Color has a more automatic way of selecting a color range from your image. By clicking on a color in the "Original Image" or "Before Color Fix" window you can select that color for your color range. If you already have a color range selected, then you can use this method to expand or shrink your color range so that it includes/excludes the color that you just clicked on. The following dialog is displayed in response to a click on your image:

A more in depth description of how to use this Automatic color range selection is given on the Step(2) - Selecting Color Range help page.

Color Range Sampling Window

A Before/After sampling of the currently selected Color range is also shown by Fix Any Color. The "Before Color Fix" colors show the range of colors that are currently selected. The "After Color Fix" colors show the same colors after the color shift that you define for your color fix is applied:

More information about setting the color shift is explained in the next section.

Color Range Fine Tuning

Selecting the precise range of colors that you want to fix is important. There are more tools and methods in Fix Any Color to help you do this. See the Step(3) Fine Tuning the Selected Color Range help page for more tips and information on this.


Color Shift Selection Controls

Color Shift Controls

After you have defined the range of colors that you want to adjust with Fix Any Color, you next define how you want to adjust those colors. This is done with the Color Shift controls.

The color shift that you define consists of three values, one for each of the three color components in L*C*h* color space: Lightness (L*), Color Saturation (C*), and hue angle (h*). See the Color Basics page for a more detailed description of what these color components are, along with samples showing the effects of modifying each component. The following are the Color Shift controls:

Each color component can be adjusted by moving the corresponding slider or by clicking the up/down buttons next to the values. Larger color shifts are allowed when adjusting the values directly via the up/down buttons:

Lightness (L*) - You set the lightness shift by moving the top slider or by adjusting the corresponding L* shift value via the small up/down buttons next to the number. A positive number will lighten colors (move the slider toward the white square). A negative number will darken colors (move the slider toward the black square). A value of zero will maintain the same lightness in colors.

Color Saturation (C*) - You set the color saturation shift by moving the middle of the three sliders or by adjusting the corresponding C* shift value via the small up/down buttons next to the number. A positive number will make colors more saturated or vivid. A negative number will make colors more muted (closer to gray). A value of zero will maintain the same color saturation.

Hue Angle (h*) - You set the hue angle shift by moving the bottom of the three sliders or by adjusting the corresponding h* shift value via the small up/down buttons next to the number. The squares to the left/right of the slider give an indication of what a positive/negative shift in hue angle will do to the color range. This will change based on the color range that you have selected.

Color Shift Fine Tuning

Fix Any Color provides a series of tools to help judge the effect of your color shifts. The most common methods for judging your color shift is to look at the "After Color Fix" preview window and using the "Large Preview" feature of Fix Any Color.

You can also see the effect of your color shift in the Color Range - Before/After Color Fix window:

The "After Color Fix" colors always update whenever a change is made to the L*, C*, or h* color shift values.

See the Step(4) Define Color Shift help page for more details.


Using Fix Any Color

Fix Any Color lets you to fix and/or enhance any color in any digital image. Before using the software, it might be a good idea to take a quick look at the Color Basics help page to learn a bit about digital image color. It is also helpful to see our description of Fix Any Color's User Interface and color controls.

Fixing/Enhancing Digital Images - Step by Step

Follow these simple steps to fix and/or enhance your images with Fix Any Color:

  1. Open the digital image that you want to fix/enhance - Fix Any Color supports Jpeg, Tiff, Bmp and PNG image formats.
  2. Click on the color in the image that you want to fix/enhance - All similar colors in your image will then be selected and highlighted. Colors that fall outside of this color range will not be adjusted.
  3. If needed, adjust the range of colors and/or setup an image mask - Adjust the selected color range until it covers precisely the parts of the image that you want to be changed. Setting up an image mask lets you specify parts of your image where no color adjustment will be done.
  4. Define Color Shift - Use the Lightness, Color Saturation and Hue shift controls to modify the colors in your selected color range. You can see a preview of your fixed image in the "After Color Fix" window, and also by clicking the "Large Preview" button.
  5. Apply the color fix (if you want to fix additional colors) or save your final image - You can fix as many colors in your image as you want.

User Preferences

A variety of user preferences and application settings can also be viewed and edited via the Preferences dialog box.


Step (1) - Open Image

Step (1) - Opening Image

There are several ways to open an image for editing with Fix Any Color. You can click on the Browse button located under the "Original Image" window, or select the "File-->Open..." menu option. This will open a browse dialog box where you can choose the image file to open.

Another way to open an image is to drag the image file from Windows file explorer onto the main Fix Any Color window.

Supported Formats

Fix Any Color supports the following image file formats:

  • Jpeg
  • Tiff
  • Bmp
  • Png

Note that the image must be a color 24 bits/pixel image. Fix Any Color does not support Gif or B&W images.


Step (2) - Select Color Range to Fix

Step (2) - Click on the Color That You Want to Fix

After you open your image, the image should be displayed in the "Original Image" window of Fix Any Color. The next step is to select the range of colors in your image that you want to change.

There are a few ways that you can select the color range that you want to fix. One way is to manually adjust the Color Range Selection controls (see the Color Range Selection Controls help page for more information on these controls). A quicker and easier way is to click on the color that you want to select in your original image. This is usually a good first step for selecting your color range.

Clicking on an Image to Select a Color Range

The easiest and quickest way to select a color range is to click on the color in the "Original Image" window. You will immediately notice that when you move the mouse over an image in the "Original Image" window, a listing of the RGB and L*C*h* values is displayed in the middle of the main Fix Any Color window. Moreover, a red highlight line lights up on the L*, C* and h* Color Range Selection controls that represents the L*C*h* values for the color that the mouse is over.

If you click on a point in the image, then the Adjust Color Range dialog opens:

There are three parts to the Adjust Color Range dialog:

(1) The first part shows the color that you just clicked on.

(2) The "Select Color Range Action" section defines what you are doing to the color range. The first time that you click on an image you should choose "Set color range to this color". The "Expand" and "Shrink" options are there for modifying existing color ranges (see the Step(3) Fine Tune the Selected Color Range help page for more information on those options).

(3) In the "Select Color Components to Change " section, you define which color components (L*, C*, and h*) you want to adjust. By default all three are adjusted, but you can choose to only adjust one or two of components of your color range. Adjusting individual color components is most useful when you are fine tuning the selection of your color range.

Clicking on the OK button accepts your new color range selection and closes the Adjust Color Range dialog. The Cancel button closes the dialog without taking any action.

If you clicked on OK button, then you will immediately see the resulting Color Range change reflected in the Color Range Selection controls. They will display the new ranges of L* (lightness), C* (color saturation) and h* (hue) that are now selected. You will also see the new selected color range reflected in other parts of the main Fix Any Color Window.

If you are unhappy with the new Color Range Selection that results, you can always undo the selection via the Color Range Click History dialog. You can access that dialog by selecting the "Edit-->Color Range Selection History... " option from the main Fix Any Color menu:

The Color Range History listbox contains a snapshot of the Color Range Selection values before and after each automatic adjustment of the Color Range. When a Color Range is selected from the list, the corresponding selected color, selection type and selected image areas are displayed. To activate a Color Range, select it from the Color Range History list, and then click on the "Select Color Range Now" button.

Next Steps

The next step is to take a look at the range of colors selected and decide whether it covers exactly the areas of your image that you want to be fixed and/or enhanced. If you need to fine tune the color range or want to mask off an area of your image to exclude from your color fix, then take a look at the tips described in Step 3 Fine Tune the Selected Color Range / Setup Mask .

If you are satisfied with the selected color range then proceed to Step 4 - Defining the Color Shift


Step (3) - Fine Tune Color Range

Step (3) - Fine Tune Color Range / Setup Mask

Once you have selected your initial color range, the next step is to fine tune the color range to make sure that it covers the exact parts of your image that you wan to fix. This is primarily done by looking at the "Selected Color" window, which highlights the parts of your source image that are covered by your color range.

There are two ways that you can change your selected color range. You can manually adjust the Color Range Selection Controls, or you can click on your source image again and use the expand/shrink options of the automatic color range selection feature.

Besides fine tuning your color range, another way to control which portions of your image are included in your color fix is by setting up an image mask. The mask defines areas of your image that are always ignored by the color fix.

Use the Selected Color Window to See Your Color Range

The Selected Color Window is the best way to determine whether your currently selected color range covers the parts of the image that you want to fix. This window highlights the parts of your image are selected.

Black colors in the Selected Color Window represent areas of your image that are outside the Selected color range. White indicates areas of the picture that are within the selected color range. Gray represents parts of your image that are partially selected. These partially selected colors are within the transition areas of one or more of the L*, C*, h* color component selection ranges.

The areas of your image outside the selected color range (represented by the color black in the Selected Color Window) will remain totally unchanged by the color fix. The areas of your image that are fully selected (represented by white in Selected Color Window) will have the full color shift applied to them. Partially selected areas in your image will have a partial color shift applied to them.

To understand the effect of partially selected colors, consider the following example. If your color fix consists of an increase in Color Saturation (C*) of 10 units, then a part of your image that is 20% selected (represented by a darker gray in the Selected Color Window) would only shift C* of the final image by 2 units (20% of 10 units). If the color was fully selected then it would be shifted by the full 10 units. If it was not selected at all then there would be no color shift. This concept of partial selected areas is important because it will help avoid sharp color transitions in your image that might look unnatural. The "edge" sizes in the Color Range Selection controls determine the areas of your image that are partially selected. Increasing the size of these "edges" will make softer color transitions and more natural looking color fixes.

The following example shows an original image and the corresponding Selected Color window in which a dark red color range has been selected. In this example, the point was to try to select the red rose in the image in order to increase its color saturation:

As you can see, the rose is the only item in the image whose colors are selected.

Manually Adjusting the Selected Color Range

To find out more information about the color of an area in your image, simply move the cursor over the image or over the corresponding area in the Selected Color window. The color values for that point in your image will be displayed just below the selected color window, and red line will be displayed directly on the L*, C*, and h* Color Selection Controls that show the values for the current color.

If you move the mouse over the Selected Color window then a red cross will also be displayed over the corresponding point on the Original image. The screen image below here shows the mouse put over a partially selected area (shown as gray in the Selected Colors window) of the rose:

The colors associated with this point are highlighted on the Color Range Selection Controls:

This is a very powerful tool for adjusting the Color Range of your image. It clearly shows you what type of adjustment is needed to expand your color range to include the selected color.

In this case you see that the point in the image that you considering is a little bit darker than the currently selected L* range and a little bit less saturated than the currently selected C* range. Knowing this you could then adjust the lower limits for L* and C* to include the color. You can lower these limits by either dragging the left boundaries of the green rectangle that highlights the selected color range, or clicking the small down arrow button that is next to the number in the "min" text box.

If you have the "Auto Update" option selected then you will immediately see the effect of your changes in the Selected Color Window. Otherwise, you can click on the "Update Preview" button to force it to be updated.

You can continue making these adjustments until you are satisfied with the Selected Color Range.

Automatically Adjusting the Selected Color Range

Another way that you can adjust your Color Range is by clicking on a color in the Original Color window, or on a point in the Selected Color Window. This causes the Adjust Color Range dialog to open with the color that you selected displayed. Previously you used this dialog to set the color range to the selected color (this is the "=" option in the dialog). Now you can use this dialog to expand or shrink the existing color range to include/exclude the selected color by using the "Expand" (+) or the "Shrink" (-) options in the dialog. This is a coarser, less precise way of adjusting the Selected Color Range than by manually adjusting the Color Range Selection controls, but it is also easier and quicker. You probably would want to try both methods.

Another option offered by the Adjust Color Range dialog is which of the three color components (L*, C*, h*) of your color range that you wish to adjust. By default all three color components are adjusted. In some cases you might want to only adjust two or one of the components. For example, in the example shown above here of the partially selected red rose color, the current color is outside the L* and C* selected color range but within the h* selected range. In that case you might want to only adjust the L* and C* components of the color range.

Edge/Transition Size

As mentioned before, the "Edge" or transition are of the Color Range Selection effects the smoothness of the color fix. If a color falls within this area then only a partial color shift will be applied to it.

After you set your Color Shift, if you see contour artifacts (a sharp or unnatural transition between the adjusted and non-adjusted parts of your image) then you might want to increase the size of the "Edge" areas in the Color Range Selection controls.

Mask

Setting up a mask in Fix Any Color lets you omit portions of your image from any color fix. This is useful, for example, if you have a picture of two similarly colored objects but only want to change the color of one of them.

To create a mask, simply click on the "Mask" button on the main interface (located below the Selected Colors window). This will cause the Mask dialog box to then open. You then click/drag on the portions of the image that you want to be left out of your color fix. These areas will be highlighted with a red "X" pattern. You can adjust the brush size/shape to best accommodate what parts of your image you are trying to select. If you only want your color fix to be applied to a small portion of your image, then try applying the mask to that area and then click the "Invert Mask" button. This will apply the mask to the entire image except the previously selected area.

When you click the "OK" button, the Mask dialog will close and the masked area of your image will be highlighted in red in the Selected Colors window. These masked regions of your image will not be modified by the color fix, even if their colors match your color selection.

There is a shortcut way to remove the Mask from your image. If you right-click on the Mask button or Selectec Colors window while a mask is present on your image, then a "Remove Current Mask" menu item will popup. Selecting this menu option will clear the mask from your image. You can also select "Edit"-->"Remove Current Mask" from the main menu. Of course, you can also remove the mask from your image by opening the Mask dialog again, clicking the Clear button, then clicking the Ok button.

One final note to remember about masks is that it always is a good idea to extend the mask over the boundaries of the objects that you want ignored by the color fix. This is to ensure that no part of the object that you are trying to cover is left unmasked.


Step (4) - Define Color Shift

Once you selected the color range to fix, the next step is to define the color shift that will be applied to that color range. This is done via the Color Shift controls in Fix Any Color. See the Color Shift Controls help page for more information on them:

The way that you define the color shift is fairly straightforward. You simply define the change in L* (lightness), C* (color saturation), and h* (hue angle).

Viewing Results

Setting the Color Shift is an iterative process. As you try different Color Shifts, you can see how they affect the results in the "After Color Fix" window. You can continue adjusting the Color Shift until you get the best possible results.

If you have the "Auto Update" option selected (checkbox under the "Selected Colors" window) then you will see the "After Color Fix" image updated automatically as you make changes to the Color Shift. If you don't have "Auto Update" selected then you will have to click on the "Update Preview" button to see the image updated.

Large Preview

Once you think you might have the best color shift selected, you can click on the "Large Preview" button to see a larger preview of your image.

The Large Preview interface also lets you switch back and forth between viewing before/after your final color fix. This is an excellent way to see the effect of your color fix. It also lets you rapidly switch back and forth between your original image and you final image (this is useful for when you are making multiple color fixes on one image).

Below here are images of the Large Preview window, along with a close-up of the controls that allow you to switch between "Before color fix", "After color fix", and "Original image":

You select which image to view via the "Preview Image" radio buttons. The two buttons in the "Compare" box let you rapidly switch between images.

Next Steps

If you are unsatisfied with your results then you can either further adjust the Color Shift, or go back and change the Selected Color Range (if you aren't happy with which parts of the image are shifting color).

If you are happy with the way that the "After Color Fix" image looks, then next step is to apply the color fix to your image and/or save your image. See the Step(5) Apply Color Fix/Save Image page for details on this.


Step (5) - Apply Color Fix / Save Image

If you want to make additional color fixes to your images then you need to apply the current color fix and then starting to work on your next fix. If you don't want to make any additional fixes to your image, then you can just save your image and you are done.

These options are available via the buttons located just below the Color Shift controls:

Applying Current Color Fix

If you want to make additional color fixes to your image, then you should click the "Apply this fix" button shown above here. When you do this, the current color fix will be applied to your image. You will see a progress bar show shown as this is done. A message will flash across the screen notifying you when the processing is complete.

After the fix is applied, you will notice that the "Before Color Fix" window shows the image that was what was in the "After Color Fix" window before you applied the fix. You are now ready to select a new color range and apply a new color shift to your image. You can continue this process and make as many color fixes as you want to an image.

Undoing a Color Fix

If you are not satisfied with a color fix that you have already applied to an image, then you can click on the "Undo last fix" button. This will undo the last color fix. The "Undo last fix" option will only be enabled after you have applied at least one color fix to your image.

Saving Final Image

If won't be making additional color fixes to your image, then you can click the "Apply fix and save image to disk" button. This will apply the current fix and then save your image to disk. You will be prompted by a dialog box to pick a name/location to save your file. The default folder will be the folder where your original file was located. The default filename will be the name of your original file with an incremented number attached (e.g. "myfile_01.jpg").

There are four options for file formats:

  • Jpeg (.jpg)
  • Tiff (.tif)
  • Bitmap (.bmp)
  • PNG (.png)

Jpeg format is a "lossy" format, meaning that there will be some reduction in image quality depending on how much compression is applied to the file. Higher amounts of compression result in lower image quality but also make a smaller file size. Tiff, Bitmap and (24 bit) PNG formats all are lossless (no loss of image quality) but generally create a larger file size.

The Fix Any Color "Preferences" dialog box lets you set some options for how images are saved. To access it, select the "Options-->Preferences" menu item. You will see the following dialog box open:

The Jpeg options lets you decide how much compression to use when saving Jpeg images. Selecting the Tiff "Use LZW Compression" option will use standard Tiff LZW compression when saving images. LZW compression does not reduce image quality but doesn't reduce file sizes as much as Jpeg's "lossy" style compression.

PNG format is always saved as 24 bit (8 bits/pixel) format. 8 bit PNG format is not supported. Bitmap format does not include any compression.


Preferences

You can view and modify a variety of application settings by selecting "Options"-->"Preferences..." from the main Fix Any Color menu. This will open the Preferences dialog box. The Preferences dialog box is divided into the following tabbed sections:.

General

The first part of the "General" tab contains options for the type of image compression is used when saving Jpeg or Tiff format images.

Jpeg images take up less disk space than other formats, but using Jpeg can result in a slight loss of detail in images. Jpeg compression preference allows you to select whether you want higher imager quality (but with a file that takes up more disk space) or lower image quality (but with a much smaller resulting file size on disk).

Tiff format images use a different type of compression than Jpeg files. Tiff compression is called "LZW" compression. It does not result in any loss of image quality, but it produces files that take up more disk space than Jpeg images. By checking ON the Tiff LZW compression option, LZW compression will always be used when saving images in Tiff format. If the LZW compression checkbox is left unchecked, then no image compression will be used when saving Tiff images.

The last part of the "General" tab contains a checkbox that allows you to turn off the "step by step" help messages. The "step by step" help messages are dialog boxes that Fix Any Color displays to guide new users through the color fixing process. Step by step help is typically useful for the first few times you use Fix Any Color, but you will probably want to turn off these messages as soon as you become familiar with the basics of Fix Any Color.

Default Color Range Selection Size

The "Default Color Range Selection Size" tab of the preferences dialog lets you choose the size of the color range that is selected when you click on a color in your image. Separate plus/minus range values are displayed for each of the three color components (L* lightness, C* color saturation, and h* hue angle). A trackbar selector lets you choose from a series of pre-set settings, or you can select customized range values for L*, C* and h*.

A large default range means that when you click on a color, then probably more of your image will be selected. Using a narrower default range will allow for more precise color selections, but might also result in some parts of your image that you want included in your color fix to be left unselected.

For example, consider if you had a picture that included a bouquet of red roses, and you wanted to change the color of roses to be a deeper red. You would click on the roses to select the red in the roses, but you would want all other parts of your image to be left unselected. In this case, a very small default color range might result in not all the roses being selected on your first click. On the other hand, a very large default color range would likely result in all the roses being selected, but also other unwanted parts of the image possibly also being selected. In both cases you could then fine tune the selected color range to include only the roses, but it would be easier if the initial click produced results that were closer to what you were looking for.

One last thing to note about the default color range settings is that in some cases the pre-set values for the three color components will not all be equal. This is normal, because each color component measured on a different scale (e.g. h* is on a 0-360 degree scale, while L* is on a 0-100 scale).

Default Color Range Edge Size

The "Default Color Range Edge Size" tab of the preferences dialog lets you choose how large the transition area between selected and unselected colors is. For example, consider a case where you select an L* lightness range of 50 +/- 10. That means that all colors whose L* is between 40 - 60 will be included in the range. What about a value of 39? If there was a very sharp cutoff so that an L* of 40 was selected, but 39 was not, then the resulting color selection would look very choppy. The resulting color fix would not look natural.

To remedy this situation, color ranges have "Edges". These are transition areas between fully selected and unselected colors. For example, if the selected L* range is 40 - 60 and the L* left edge value is 10, then L* values of 35 will be considered 50% selected and L* values of 31 will be considered 10% selected. Larger "Edges" (transition areas) result in smoother, less choppy color selections. Smaller transition areas result in sharper, more precise color selection.

As with the "Default Color Range Size" settings, there is a trackbar selector that lets you select from a series of pre-set values, or you can manually set each of the default "Edge" values for each of the three color components (L*, C*, h*). It is probably a good idea to start by using the default values, and then making any desired adjustments from there.


License Agreement

PROGRAM USER LICENSE AGREEMENT

The installation and utilization of this product (hereinafter the "SOFTWARE") on your microcomputers are expressly subject to full and unreserved acceptance of this Software utilization license Agreement (hereinafter "license"). The license constitutes an agreement between you (a natural or legal person), the end user of the SOFTWARE (hereinafter the "USER") and the publisher of the SOFTWARE (hereinafter referred to as "PUBLISHER").

USER LICENSE

The PROGRAM is protected by international laws and treaties as regards intellectual property. No right of ownership is granted to the USER under the license, only a right of use is granted to the USER. By this license, the PUBLISHER grants the USER a personal, non-transferable right of use in accordance with the terms stated below:

The PROGRAM may be installed and used only by a single USER on a single computer at any one time. Consequently, the PROGRAM must not be installed, displayed, shared or used concomitantly from the computer or on distinct computers.

UNDER NO CIRCUMSTANCES CAN THE SOFTWARE EVER BE RESOLD BY A USER

OWNERSHIP / RESTRICTIONS

~ CONCERNING THE PROGRAM. The PUBLISHER reserves all rights, of any kind whatsoever, not expressly granted under the license. Modifying, adapting, translating, decompiling or undertaking any inverse engineering, disassembling or attempting to find out the source code of the PROGRAM is strictly prohibited.

~ CONCERNING THE MULTIMEDIA FILES PROVIDED WITH THE SOFTWARE. The PUBLISHER and its licensor(s) reserve all their intellectual property rights pertaining to multimedia files that may be provided with the PROGRAM: without limitation, images, audio or video files. The use of those files is reserved for the personal use of the license holder, excluding any other use and in particular (i) for commercial use, or (ii) if the PROGRAM is not used for its intended purpose.

PROTECTION AGAINST COPYING - LICENSE KEY - VERIFICATION MEASURES

The PROGRAM may include a technological measure to protect it against copying in order to prevent any unauthorized reproduction. In accordance with the law, the USER must not circumvent or attempt to circumvent any protective measure against unauthorized copying. Activating or running the PROGRAM beyond a certain period of time may require the entry of a license key (also referred to as a "Registration Code") previously supplied to the USER. The USER recognizes that the license key is the PUBLISHER's exclusive property, that it is strictly confidential information and that, consequently, it must not be disclosed to third parties. The USER undertakes to implement all means available and to act in good faith in order to protect the confidentiality of the license key.
As part of the measures for verifying the use of the license keys, when an Internet connection is open the PROGRAM may test the validity of the key used for the PROGRAM on the site of the USER’s computer. During this test, statistical information only is sent to the PUBLISHER: no nominative information and/or any information that is not directly related to the SOFTWARE license key is sent to the PUBLISHER or to third parties.

TERM

The license is made for an indefinite period. The license will be terminated automatically, without prior notice, in the event of breach by the USER of any one whatsoever of the provisions herein. Termination will result for the USER in the obligation to destroy all copies of the PROGRAM and associated documentation.

LIMITED WARRANTY

The PUBLISHER warrants that the physical medium carrying the PROGRAM is free from defects in materials and production for all normal uses. The warranty is valid for 90 days from delivery or from purchase of the PROGRAM. In the event of defect, the remedy offered by the PUBLISHER will, at its option, either be to replace the defective medium, or to refund the purchase price. The PUBLISHER warrants that the PROGRAM is in accordance with its documentation but gives no express warranty as to its correct operation and in particular that the PROGRAM will satisfy performance requirements or that it will run without discontinuity or bugs. The PUBLISHER gives no other express or implicit warranty under the license. The PUBLISHER has offered the PRODUCT in good faith. Any consequential damage due to the use of the PRODUCT is the sole responsibility of the user. The PUBLISHER is not responsible for any direct or indirect damages caused by the PROGRAM.

PARTIAL NON VALIDITY

If any one of the clauses or provisions in the license is ruled null and void or not written, the remaining provisions shall nonetheless remain valid.

HONOR ALL COPYRIGHTS FOR ANY DIGITAL IMAGES USED IN CONJUNCTION WITH THIS SOFTWARE

© SRS1 Software, LLC and its licensors – all rights reserved


Product Registration

Fix Any Color is free to download and try out. This is to allow you see how it works and decide if you want to buy it. The program does not allow you to save images until you have purchased the product.

You can purchase Fix Any Color at:

http://www.FixAnyColor.com

Once you purchase Fix Any Color, you will immediately be given a registration code. You will also be emailed a copy of your registration code for your records. The next step is to enter your registration information into the Fix Any Color Registration dialog box. You can access the registration dialog by selecting "Help-->Registration" from the Fix Any Color main menu. After entering your registration information, you then click the "Process Registration Information" button. From that point on, your product will be registered and your copy of Fix Any Color will be fully functional.

We thank you for your support!


Contact Us

This program is produced by SRS1 Software, LLC. Visit our website for new products and other information.

http://www.srs1software.com

Fix Any Color updates, demos, etc. can be seen at: http://www.FixAnyColor.com

Support issues can be sent to support@srs1software.com

We encourage you to send us your comments and suggestions. You can email us at feedback@srs1software.com.

We hope that you enjoy using Fix Any Color!